Set a detection alert status

Base URL
https://{kibana_url}
  • POST /api/detection_engine/signals/status
  • POST /s/{space_id}/api/detection_engine/signals/status
Auth

Set the status of one or more detection alerts.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

An object containing desired status and explicit alert ids or a query to select alerts

One of:
One of:
status: closed
status enum required
Values: closed
reason union oneOf

The reason for closing the alerts. Can be one of following predefined reasons: [false_positive, duplicate, true_positive, benign_positive, automated_closure, other] or a custom reason provided by the user through the advanced settings.

Values: false_positive duplicate true_positive benign_positive automated_closure other
signal_ids string[] · format: nonempty · min items: 1 required

List of alert ids. Use field _id on alert document or kibana.alert.uuid. Note: signals are a deprecated term for alerts.

Responses

Successful response

application/json

Response Type: object

Base URL
https://{kibana_url}